import React from 'react';
type Collection = {
    _id: string;
    name: string;
    type: string;
    status: 'initial' | 'fetching' | 'refreshing' | 'ready' | 'error';
    document_count: number;
    document_size: number;
    avg_document_size: number;
    storage_size: number;
    free_storage_size: number;
    index_count: number;
    index_size: number;
    properties: {
        id: string;
    }[];
    source?: Collection;
};
declare const CollectionsList: React.FunctionComponent<{
    connectionTitle: string;
    databaseName: string;
    collections: Collection[];
    onCollectionClick(id: string): void;
    onClickConnectionBreadcrumb(): void;
    onDeleteCollectionClick?: (id: string) => void;
    onCreateCollectionClick?: () => void;
    onRefreshClick?: () => void;
}>;
export { CollectionsList };
//# sourceMappingURL=collections.d.ts.map