import React from 'react';
type Database = {
    _id: string;
    name: string;
    status: 'initial' | 'fetching' | 'refreshing' | 'ready' | 'error';
    storage_size: number;
    data_size: number;
    index_count: number;
    collectionsLength: number;
};
declare const DatabasesList: React.FunctionComponent<{
    databases: Database[];
    onDatabaseClick(id: string): void;
    onDeleteDatabaseClick?: (id: string) => void;
    onCreateDatabaseClick?: () => void;
    onRefreshClick?: () => void;
}>;
export { DatabasesList };
//# sourceMappingURL=databases.d.ts.map