import React from 'react';
import { SignalPopover } from '@mongodb-js/compass-components';
import type { ViewType } from './use-view-type';
export declare const NamespaceParam: React.FunctionComponent<{
    label: React.ReactNode;
    value: React.ReactNode;
    status: 'initial' | 'fetching' | 'refreshing' | 'ready' | 'error';
    hint?: React.ReactNode;
    viewType: ViewType;
    insights?: React.ComponentProps<typeof SignalPopover>['signals'];
}>;
//# sourceMappingURL=namespace-param.d.ts.map