"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.useCreateControls = void 0;
const react_1 = __importDefault(require("react"));
const compass_components_1 = require("@mongodb-js/compass-components");
const items_grid_1 = require("./items-grid");
function useCreateControls(itemType, onCreateClick) {
    if (!onCreateClick) {
        return null;
    }
    return (react_1.default.createElement(compass_components_1.Button, { variant: "primary", leftGlyph: react_1.default.createElement(compass_components_1.Icon, { role: "presentation", glyph: "Plus" }), onClick: () => {
            onCreateClick();
        }, className: items_grid_1.createButton },
        "Create ",
        itemType));
}
exports.useCreateControls = useCreateControls;
//# sourceMappingURL=use-create.js.map