"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.useRefreshControls = void 0;
const react_1 = __importDefault(require("react"));
const compass_components_1 = require("@mongodb-js/compass-components");
function useRefreshControls(onRefreshClick) {
    if (!onRefreshClick) {
        return null;
    }
    return (react_1.default.createElement(compass_components_1.Button, { variant: "default", leftGlyph: react_1.default.createElement(compass_components_1.Icon, { role: "presentation", glyph: "Refresh" }), onClick: () => {
            onRefreshClick();
        } }, "Refresh"));
}
exports.useRefreshControls = useRefreshControls;
//# sourceMappingURL=use-refresh.js.map